Announcement

Collapse
No announcement yet.

Did anyone manage to build 4.24?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Did anyone manage to build 4.24?

    Did you manage to build UE 4.24 (from Github)? I'm trying to build but it's missing several includes, even after running setup.bat. Also some compile errors.

    Code:
    4>d:\unreal\unrealengine-4.24\engine\source\programs\enterprise\datasmith\datasmithsketchupexporter\private\DatasmithSketchUpCamera.h(7): fatal error C1083: Cannot open include file: 'SketchUpAPI/geometry.h': No such file or directory
    
    30>D:/Unreal/UnrealEngine-4.24/Engine/Source/Runtime/Experimental/GeometryCollectionEngine/Private/GeometryCollection/GeometryCollectionSceneProxy.cpp(536): error C2039: 'SetDynamicData_RenderThread': is not a member of 'ispc'
    30>  d:\unreal\unrealengine-4.24\engine\intermediate\build\win64\ue4editor\debug\geometrycollectionengine\GeometryCollectionComponent.ispc.generated.h(13): note: see declaration of 'ispc'
    30>D:/Unreal/UnrealEngine-4.24/Engine/Source/Runtime/Experimental/GeometryCollectionEngine/Private/GeometryCollection/GeometryCollectionSceneProxy.cpp(536): error C2660: 'FGeometryCollectionSceneProxy::SetDynamicData_RenderThread': function does not take 6 arguments
    30>  D:/Unreal/UnrealEngine-4.24/Engine/Source/Runtime/Experimental/GeometryCollectionEngine/Private/GeometryCollection/GeometryCollectionSceneProxy.cpp(422): note: see declaration of 'FGeometryCollectionSceneProxy::SetDynamicData_RenderThread'
    
    39>D:\Unreal\UnrealEngine-4.24\Engine\Source\Programs\Enterprise\Datasmith\DatasmithMaxExporter\Public\DatasmithMaxWriter.h(14): fatal error C1083: Cannot open include file: 'iparamb2.h': No such file or directory
    Where do I get these missing includes?
    Jefferson Pinheiro

    #2
    I did compile 4.24 several times with my own made buildconfiguration.xml (still working on it), it was successful over all.
    However I did not compile datasmith and Automation tools since I don't need them.

    Obviously you are getting these errors while compiling datasmith projects, so I can't help you with that.
    but if you do not need these tools, just avoid them, or try to compile only datasmith project you need instead of all. the rest compiles fine right?

    Comment


      #3
      Ah, yes, project UE4 builds alright, only datasmith doesn't. Thanks!
      Jefferson Pinheiro

      Comment


        #4
        The missing source files are from the 3DSMax SDK. So if you have that, installing it may fix the problem without further editing.

        I don't and don't use datasmith, so I removed the entire Programs/Datasmith directory from both my engine and game solutions and it seems to compile and launch the editor OK.

        Comment


          #5
          Originally posted by Teiwaz View Post
          The missing source files are from the 3DSMax SDK. So if you have that, installing it may fix the problem without further editing.

          I don't and don't use datasmith, so I removed the entire Programs/Datasmith directory from both my engine and game solutions and it seems to compile and launch the editor OK.
          Thank you! On my end it was under Enterprise/Datasmith

          Comment


            #6
            VictorLerp asked me to add some info on this on the forums so I'm appending it here since the thread already exists and is findable.


            As of 4.24, Datasmith is now part of the main engine instead of Unreal Studio. Datasmith is dependent on a number of header files which are normally included in the SDKs for the software Datasmith is meant to help streamline UE4 workflows for. These missing files will cause compiling the engine to fail:


            SketchUpAPI/geometry.h


            iparamb2.h


            geometry.h is from Sketchup obviously, and is probably available somewhere.


            But iparamb2.h is from the 3DSMax SDK, and when I looked into it, it appears that that SDK is only available as part of a subscription to 3DSMax.


            Basically these dependencies mean that the UE4 engine can no longer be compiled just with the stuff included in the engine any more unless you also install some other SDKs which you may not even have access to. I don't know if these files are redistributable, but either they should be included or the datasmith stuff should really be wrapped in some #IFDEFs or something to remove the dependency unless the user actually has access to the required files.
            Last edited by Teiwaz; 12-18-2019, 06:27 PM.

            Comment


              #7
              More information about the issue: https://issues.unrealengine.com/issue/UE-86070
              Stephen Ellis | Enterprise Program Coordinator

              Comment


                #8
                It looks like it is impossible to build the 4.24.1 with Visual Studio 2017. Datasmith is giving errors all the time. I tried to just delete the datasmith map, but that did not work for me.
                It is a bit frustrating

                Comment


                  #9
                  Well, I thought it was me but I am glad found this thread. Just modeled a pretty straight forward project in 3dsmax and then exported using datasmith. Set up things in unreal and added a few lights and then before really getting into things, I tried to do a quick build. The past has taught me some hard lessons about waiting to find out if things will work. Sure enough, the build failed with several error messages, some related to visual studio 2017. I knew I should not have jumped into the new version of UE but at least I did not go too far down the road. I guess I need to export and set project up in UE 4.23. I am hoping they get this resolved quickly because Unreal Studio is why I am even using Unreal for some archviz stuff.

                  Comment


                    #10
                    You can't build Datasmith plugins for third party applications that you don't have the SDK for. This isn't unusual.
                    George Rolfe.
                    Technical Coordinator at Orbit Solutions Pty Ltd.

                    Comment


                      #11
                      If I need build it. Where should I put this SDK?Thanks.

                      Comment


                        #12
                        FYI, this issue has been fixed and will ship with 4.24.2. Thanks for the reports!

                        Comment


                          #13
                          I was having this issue too and then tonight I found that I was on one of the preview tags. So I was on the correct branch but wrong tag! Putting aside all self deprecating feelings just do the following and see what tag your on...

                          git describe --tags

                          Then go outside and kick a tree like I did, if you see you're on a preview tag.

                          Comment


                            #14
                            Originally posted by VictorLerp View Post
                            FYI, this issue has been fixed and will ship with 4.24.2. Thanks for the reports!
                            Still not working building in Visula Studio...

                            Notice that i have installed 3dMax SDK 2020 and also SketchUp SDK, where to put my files? where to tell the engine how to find them?


                            Seems that after reinstall 3dmax 2020 and reboot a couple times, it's compiling max part, but still failing at sketchup… maybe sketchup sdk is in a wrong directory.
                            Last edited by ManOguaR; 01-25-2020, 12:14 PM. Reason: Partially solved.

                            Comment


                              #15
                              Same error happened to me as well, after upgrading 4.24.1 to 4.24.3.

                              cannot open GeometryCollectionComponent.ispc.generated.h

                              or

                              cannot open PBDCollisionConstraint.ispc.generated.h

                              The solution was just to completely delete the /Intermediate directory and then regenerate project files. This fixed the issue for me.
                              Last edited by Talad; 05-07-2020, 10:15 AM.
                              Join us in the development of PlaneShift, our free fantasy MMO.
                              Check my YouTube Unreal Engine development sessions. Join our Discord.

                              Comment

                              Working...
                              X